## com.lowagie.text.pdf
Class CFFFont.UInt16Item

    java.lang.Object
      com.lowagie.text.pdf.CFFFont.Item
          com.lowagie.text.pdf.CFFFont.UInt16Item

Enclosing class:
  CFFFont

    protected static final class CFFFont.UInt16Item

extends CFFFont.Item

A SID or Card16 item.

Field Summary
`char` `value`

Fields inherited from class com.lowagie.text.pdf.CFFFont.Item
`myOffset`

Constructor Summary
`CFFFont.UInt16Item(char value)`

Method Summary
`void` `emit(byte[] buffer)` Emit the byte stream for this item.
`void` `increment(int[] currentOffset)` remember the current offset and increment by item's size in bytes.

Methods inherited from class com.lowagie.text.pdf.CFFFont.Item
`xref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public char value

Constructor Detail

### CFFFont.UInt16Item

    public CFFFont.UInt16Item(char value)

Method Detail

### increment

    public void increment(int[] currentOffset)

  Description copied from class: `CFFFont.Item`
  remember the current offset and increment by item's size in bytes.

  Overrides:
    `increment` in class `CFFFont.Item`

### emit

    public void emit(byte[] buffer)

  Description copied from class: `CFFFont.Item`
  Emit the byte stream for this item.

  Overrides:
    `emit` in class `CFFFont.Item`